# Generated from bundler-audit-0.9.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bundler-audit

Name: rubygem-%{gem_name}
Version: 0.9.2
Release: 1%{?dist}
Summary: Patch-level verification for Bundler
License: GPL-3.0-or-later
URL: https://github.com/rubysec/bundler-audit#readme
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.8.0
BuildRequires: ruby >= 2.0.0
BuildArch: noarch

%description
bundler-audit provides patch-level verification for Bundled apps.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/bundle-audit
%{_bindir}/bundler-audit
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/COPYING.txt
%{gem_instdir}/bin
%{gem_instdir}/gemspec.yml
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/ChangeLog.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/bundler-audit.gemspec
%{gem_instdir}/spec

%changelog
* Fri Aug 23 2024 mockbuilder - 0.9.2-1
- Initial package
